Subject: RE:{goi} addendum

From: [email-masked]
Date: Fri, 27 Jul 2001 10:07:38 EDT

The reason for the rule on double quantifiers that Lojban uses is almost 
certainly the enormous difficulty within logic otherwise of saying something 
like "Three men came into the saloon. Two of them well to the bar. One of 
these ordered a lime rickey." The straightforward logical form of this takes 
up a half-a-dozen lines at least and even the shortened forms designed to 
help logic over some of its problems with plurals (which Lojban shares to 
some extent) and subsets is three or four times as long as the English. The 
Lojban is at least comparable to the English -- with the rule as given in the 
book (which does require some binding adjustments even here), roughly 
ci da poi nanmu cu nerkal le barja .i re da zo'u ge da klama le barjyjbu gi 
pa da minde tu'a zoi gy lime rickey gy. (The last structure is required 
because the shifted quantifier is officially local, shifting to the subjset 
only for that one occurrence.)